UHardwareGpsAGpsStatus Struct Reference
Functions and types for accessing GPS H/W.

`#include <gps.h>`

Collaboration diagram for UHardwareGpsAGpsStatus:

## Data Fields

size_t | size
uint16_t | type
uint16_t | status
uint32_t | ipaddr

## Detailed Description

Represents the status of AGPS.

Definition at line 305 of file gps.h.

## Field Documentation

uint32_t UHardwareGpsAGpsStatus::ipaddr

Definition at line 311 of file gps.h.

size_t UHardwareGpsAGpsStatus::size

set to sizeof(UHardwareGpsAGpsStatus)

Definition at line 307 of file gps.h.

uint16_t UHardwareGpsAGpsStatus::status

Definition at line 310 of file gps.h.

uint16_t UHardwareGpsAGpsStatus::type

Definition at line 309 of file gps.h.

The documentation for this struct was generated from the following file:

- /build/platform-api-5s2MVK/platform-api-3.0.1+16.04.20160203/include/ubuntu/hardware/gps.h